commit:     05b775844f512d9b880300dce16f429148e15df7
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 21 03:52:11 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Mar 21 04:32:27 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05b77584

net-libs/glib-networking: Version bump to 2.68.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 net-libs/glib-networking/Manifest                  |  1 +
 .../glib-networking/glib-networking-2.68.0.ebuild  | 75 ++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/net-libs/glib-networking/Manifest 
b/net-libs/glib-networking/Manifest
index e6e52a56adc..95f220715c2 100644
--- a/net-libs/glib-networking/Manifest
+++ b/net-libs/glib-networking/Manifest
@@ -1,3 +1,4 @@
 DIST glib-networking-2.62.4.tar.xz 186004 BLAKE2B 
0fbf41cc916a76d23382eb6ae84316e5328c682c4e440f304a978be897f81778e96a201a19dfdc4bd912c144d4013b4cb6344a2a0031fc2898f4af31ef0b43fa
 SHA512 
cd233eeed7ffb8458f4e0316a08927713899e64ce2654aa34f267ccf09d2516e7dee79012dd9e1488d3e8c0e1795c3525523bf8dc5f82a71c1b202942c38363a
 DIST glib-networking-2.64.3.tar.xz 189760 BLAKE2B 
5f067aacd0d7724367eabf961d81fba9d77a7057cc60ffc7bada0f55a7eff0bcc2388e8298792636c77252b9494a6a7d36bcfd227bdfbbf66e5d45cf77dfc1bb
 SHA512 
01251f7f95d1c331e883d5ee7857bad0c0d6308991e437ff54ed63e718bb30a12e872755e0611e2bf6ccb2a01c52ba865fe0d94ac69dbab37d74afe063a0590d
 DIST glib-networking-2.66.0.tar.xz 193920 BLAKE2B 
bba3c74a3676c15fbe3b9cb97aafb3c9320ebb6f7be1479a66cefd233aa5a548a605be74156445e6a54e8cdb307a09e2916f6d8736640ee38fce9ca289de195f
 SHA512 
697798864746b40542873257a789290cacee425467e32c0eb096c87e124b37510753a990ef5d350f1db85c24da88e448bca9d8d8b4308123a74feac299176de5
+DIST glib-networking-2.68.0.tar.xz 237992 BLAKE2B 
dab2b692c48366ba71325e1808d51a1d7614c29c21448f6d95388c262ec7c6d647489be933595d4e38151d1eef70385181d891d6613e6d1a0a2c95b3b0d764e9
 SHA512 
3961851d1c39352bc6cbacbc966a7ad075467ca17006eca432ea0646b660fed85951951aee72597a8a595420e6160fd91dca612c241a0505f4f0a67922ef1771

diff --git a/net-libs/glib-networking/glib-networking-2.68.0.ebuild 
b/net-libs/glib-networking/glib-networking-2.68.0.ebuild
new file mode 100644
index 00000000000..77f31df6c8c
--- /dev/null
+++ b/net-libs/glib-networking/glib-networking-2.68.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org gnome2-utils meson multilib-minimal xdg
+
+DESCRIPTION="Network-related giomodules for glib"
+HOMEPAGE="https://git.gnome.org/browse/glib-networking/";
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="+gnome +libproxy +ssl test"
+RESTRICT="!test? ( test )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+       >=dev-libs/glib-2.67.0:2[${MULTILIB_USEDEP}]
+       libproxy? ( >=net-libs/libproxy-0.4.11-r1:=[${MULTILIB_USEDEP}] )
+       >=net-libs/gnutls-3.6.5:=[${MULTILIB_USEDEP}]
+       ssl? ( app-misc/ca-certificates )
+       gnome? ( gnome-base/gsettings-desktop-schemas )
+"
+DEPEND="${RDEPEND}
+       test? ( net-libs/gnutls[pkcs11] )
+"
+BDEPEND="
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       test? ( sys-apps/dbus )
+"
+
+multilib_src_configure() {
+       local emesonargs=(
+               -Dgnutls=enabled
+               -Dopenssl=disabled
+               $(meson_feature libproxy)
+               $(meson_feature gnome gnome_proxy)
+               -Dinstalled_tests=false
+               -Dstatic_modules=false
+       )
+       meson_src_configure
+}
+
+multilib_src_compile() {
+       meson_src_compile
+}
+
+multilib_src_install() {
+       meson_src_install
+}
+
+multilib_src_test() {
+       dbus-run-session meson test -C "${BUILD_DIR}" || die 'tests failed'
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       multilib_pkg_postinst() {
+               gnome2_giomodule_cache_update \
+                       || die "Update GIO modules cache failed (for ${ABI})"
+       }
+       multilib_foreach_abi multilib_pkg_postinst
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+
+       multilib_pkg_postrm() {
+               gnome2_giomodule_cache_update \
+                       || die "Update GIO modules cache failed (for ${ABI})"
+       }
+       multilib_foreach_abi multilib_pkg_postrm
+}

Reply via email to